curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/inventory/adjustments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"location": "string",
"source": "string",
"quantityBefore": 1,
"quantityAfter": 1,
"quantityDelta": 1,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reasonDetails": "string",
"referenceType": "string",
"referenceId": "string",
"externalId": "string",
"metadata": {},
"createdAt": "2026-08-31T14:22:05Z",
"createdBy": "string",
"syncedToShopify": true,
"syncedToNetsuite": true,
"syncError": "string"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
List inventory adjustments (audit trail)
Inventory adjustments (audit trail)
GET
/
v1
/
tenants
/
{tenant_id}
/
inventory
/
adjustments
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/inventory/adjustments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"location": "string",
"source": "string",
"quantityBefore": 1,
"quantityAfter": 1,
"quantityDelta": 1,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reasonDetails": "string",
"referenceType": "string",
"referenceId": "string",
"externalId": "string",
"metadata": {},
"createdAt": "2026-08-31T14:22:05Z",
"createdBy": "string",
"syncedToShopify": true,
"syncedToNetsuite": true,
"syncError": "string"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
Path parameters
string
required
Tenant identifier
Query parameters
integer (int32)
Page number (1-indexed)
integer (int32)
Items per page (max 100)
string
Filter by SKU
string
Filter by location
string
Filter by source system
string
Filter by adjustment reason
string
Filter by reference type (order, webhook, sync_job, reservation)
string
Filter by reference id
string
Filter by created_at (RFC3339 timestamp)
Response
object
object[]
required
object
required
Status codes
| Code | Meaning |
|---|---|
200 | Inventory adjustments (audit trail) |
401 | Unauthorized |
424 | Database not configured |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/inventory/adjustments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"location": "string",
"source": "string",
"quantityBefore": 1,
"quantityAfter": 1,
"quantityDelta": 1,
"reason": "Two-person tent, green — replacement for damaged pole set.",
"reasonDetails": "string",
"referenceType": "string",
"referenceId": "string",
"externalId": "string",
"metadata": {},
"createdAt": "2026-08-31T14:22:05Z",
"createdBy": "string",
"syncedToShopify": true,
"syncedToNetsuite": true,
"syncError": "string"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
Last modified on August 31, 2026